//
// var selectList =
//     "<select class='form-control select2_TypeAsist' name='Asistencia'>" +
//     "<option value='Asistio'>Asistio</option>" +
//     "<option value='Tardanza'>Tardanza</option>" +
//     "<option value='Falta'>Falta</option>" +
//     "</select>";

var ATable = $('#tbAlumnos').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No encontraron alumnos para la clase",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Buscar:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: true,
    serverSide: true,
    destroy: true,
    responsive:true,
    ajax:{
        method: 'POST',
        url: urlData,
        data: function(d){
            d.datos = 1;
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'codigo',
            name:'codigo',
            "searchable": true
        },
        {
            data:'alumno',
            name:'alumno',
            "searchable": true
        },
        {
            data:'apellidos',
            name:'apellidos',
            "searchable": true
        },
        {
            data:'estado',
            name:'estado',
            "searchable": false,
            render: function (data,type,row) {

                if(data == ""){
                    return  '<td>'+"<select class='form-control select2_TypeAsist' id='"+row.id_als+"' name='Asistencia'>" +
                        "<option value='Asistio'>Asistio</option>" +
                        "<option value='Tardanza'>Tardanza</option>" +
                        "<option value='Falta'>Falta</option>" +
                        "</select>"+'</td>';
                }
                else{
                    return data;
                }


            }
        }
    ],
    "pageLength": 15,
    "columnDefs": [{
        'orderable': false,
        'targets': [0]
    }, {
        "searchable": true,
        "targets": [0,1,2]
    }],
    "bInfo": false,
    "bLengthChange": false,
    "ordering": false,
    "fnInitComplete": function(oSettings, json) {
        $('.select2_TypeAsist').select2();
        $(".select2.select2-container.select2-container--bootstrap").css('margin-left','15%');
    }
});


$('.btn.confirm').on('click',function () {

    var list = {};

    list['asistencia'] = $('select[name=Asistencia]').map(function (){return this.value; }).get();
    list['id_su'] = $('select[name=Asistencia]').map(function (){return this.id; }).get();
    list['id_horario'] = $('#horario').val();
    list['id_pxs'] = $('#pxs').val();

    if($(".temas").val() == ''){
        $("#aviso").css('display','initial');
        return false;
    }
    $("#aviso").css('display','none');

    list['tema'] = $(".temas").val();

    $.ajax({
        type: "post",
        url: urlTomar,
        data: list,
        success: function (data) {

            if(data === 500){
                swal({
                    title: "Asistencia",
                    type: "warning",
                    text: "La asistencia ya fue tomada durante la clase. En breve lo redirigiremos a la página principal",
                    showConfirmButton: false
                });
                setTimeout(' document.location.href = urlBase',2000);
            }
            else{
                swal({
                    title: "Asistencia Registrada",
                    type: "success",
                    text: "Se ha registrado la asistencia correctamente.",
                    showConfirmButton: false
                });
                setTimeout(' document.location.href = urlBase',2000);
            }


        }
    });

});

